(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(inhibit-startup-screen t))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )

;; 起動時のウィンドウの位置、サイズの設定、行数表示
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(auto-save-default nil)
 '(column-number-mode t)
 '(global-linum-mode t)
 '(initial-frame-alist (quote ((top . 20) (left . 1000) (width . 100) (height . 60))))
 '(make-backup-files nil)
 '(ruby-insert-encoding-magic-comment nil))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )

;; メニューバーを非表示
(menu-bar-mode 0)
;; ツールバーを非表示
(tool-bar-mode 0)

;; 背景色の設定
(set-background-color "black")
(set-foreground-color "#DDDDDD")


(set-face-attribute 'default nil
		    :height 90)    ;; font size


;; ;; 英字フォント
;; (set-face-attribute 'default nil
;; 		    ;; :family "Helvetica" ;; font
;; 		    ;; :family "Menlo" ;; font
;; 		    ;; :family "Hiragino Maru Gothic Pro" ;; font
;; 		    :family "Monaco" ;; font
;; 		    :height 110)    ;; font size


;; ;; 和文フォント
;; (set-fontset-font nil 'japanese-jisx0208
;;  ;; (font-spec :family "Hiragino Mincho Pro")) ;; font
;;  ;; (font-spec :family "Hiragino Kaku Gothic Pro")) ;; font
;;  ;; (font-spec :family "Hiragino Maru Gothic Pro")) ;; font
;;  (font-spec :family "Hiragino Maru Gothic Pro")) ;; font

;; c-mode のインデントをスペース5個分のタブにする
(add-hook 'c-mode-common-hook
          '(lambda ()
             (c-set-style "k&r")
	     (setq c-basic-offset 5)
	     (setq indent-tabs-mode t)
	     (setq tab-width 5)))


;; 対応する括弧をハイライトする
(show-paren-mode 1)

;; 対応する括弧の色の設定
(setq show-paren-style 'mixed)
(set-face-background 'show-paren-match-face "grey")
(set-face-foreground 'show-paren-match-face "black")


;; (if (and (locate-library "fontset")
;;          (fboundp 'add-to-list)
;;          (fboundp 'display-graphic-p))
;;     (progn
;;       (cond
;;        ((and (string-match "linux-gnu" system-configuration)
;;              (display-graphic-p))
;;         (add-to-list 'default-frame-alist '(font . "TakaoGothic-12"))
;;         (add-to-list 'initial-frame-alist '(font . "TakaoGothic-12"))
;;         (add-hook 'after-init-hook
;;                   (lambda () (set-frame-font "TakaoGothic-12"))))
;;        ((and (string-match "mingw-nt" system-configuration)
;;              (display-graphic-p))
;;         (add-to-list 'default-frame-alist '(font . "MS Gothic-12"))
;;         (add-to-list 'initial-frame-alist '(font . "MS Gothic-12"))
;;         (add-hook 'after-init-hook
;;                   (lambda () (set-frame-font "MS Gothic-12"))))
;;        ((and (string-match "apple-darwin" system-configuration)
;;              (display-graphic-p))
;;         (create-fontset-from-ascii-font
;;          "Menlo-12:weight=normal:slant=normal"
;;          nil
;;          "menlokakugo")
;;         (set-fontset-font
;;          "fontset-menlokakugo"
;;          'unicode
;;          (font-spec :family "Hiragino Kaku Gothic ProN" :size 12)
;;          nil
;;          'append)
;;         (add-to-list 'default-frame-alist '(font . "fontset-menlokakugo"))
;;         (add-to-list 'initial-frame-alist '(font . "fontset-menlokakugo"))
;;         (add-to-list 'face-font-rescale-alist 
;;                      '(".*Hiragino Kaku Gothic ProN.*" . 1.2))
;;         (add-hook 'after-init-hook
;;                   (lambda () (set-frame-font "fontset-menlokakugo")))))))

;; ;; 半角と全角の比を1:2に
;; (setq face-font-rescale-alist
;;       '((".*Hiragino_Mincho_pro.*" . 1.2)))

